Description

Des tests on été fait avec 6 snapshots. Les centrages sont satisfaisants mais peuvent étre améliorés. cf les fichiers joints (plots +
fichier/texte).

D'aprés la spec LFR/FPGA Issue 1, Rev 1.4, 9 may 2014 (merci Jean-Christophe! ), il y a possibilité de régler les starts des
snapshots 1 et fO par rapport a celui du snapshot f2 a T0=1/f0 prés. Les variables qui permettent cela sont Delta_f2_f1 pour le
snapshot_f1 et Delta_f2_f0 pour le snapshot_fO.

Idéalement :

Delta_f2_f1 = duration_snap2_f0/2-duration_snapi1_f0/2 = 92115 T0

Delta_f2_f0 = duration_snap2_f0/2-duration_snap0_f0/2 = 97232.5 TO (donc 97232 ou 97233)
avec :

duration_snap2_f0 = 196512 TO

duration_snap1_f0 = 12282 TO

duration_snap0_f0 = 2047 TO

Or ce qui est observé lors du test est :
Delta_f2_f1 = 92136 TO (donc Iégérement supérieur a 92115)
Delta_f2_f0 = 97257 TO (donc Iégérement supérieur a 97232)

History

#1 - 26/06/2014 12:26 PM - thomas chust
- File tests_bruits_miniLFR5 _2014_06 _25.odt added

- Subject changed from centrage des snapshots imparfait to centrage des snapshots imparfait + Delta_f2_f1 = 92136 ou 921667

Des tests ont été fait avec la configuration suivante:

VHDL 0.1.23

FSW 1.0.0.12

delta_snapshot = 300 s

Ces tests confirment que les snapshots sont bien espacés de 300 s exactement (pb du shift de 256 counts résolu)

Par contre, bien que le centrage soit bien régulier, ce dernier est Iégerement différent par rapport a la derniére fois. Ce changement concerne le
parametre Delta_f2_f1 uniquement:

Delta_f2_fi : ideal valueobserved value

Delta_f2_f1 : 92115.000 92166.000

Delta_f2_f0 : 97232.500 97257.000

Donc par rapport a avant (ou Delta_f2_f1=92136) il y a un décalage de +30*T0O (ou +80 counts).

Delta_f2_f1 = 92136 ou 92166 ? Pourquoi ? Est-ce parce que ici delta_snapshot vaut 300 s alors qu'avant il valait 16 s ? Mais avec une version
antérieure du VHDL et du FSW j'avais déja observé ce probleme avec le méme delta_snapshot (16 s) ... ?

#2 - 10/02/2015 03:18 PM - paul leroy

- Assignee changed from paul leroy to bruno katra

Rejouer sur FSW >=2.0.2.2 et VHDL >= x.1.63

#3 - 10/02/2015 03:18 PM - paul leroy

- Status changed from New to Resolved

#4 - 23/09/2015 05:37 PM - bruno katra
- Project changed from Solar Orbiter LFR to LFR-FSW
#5 - 22/10/2015 10:54 AM - thomas chust
- Status changed from Resolved to Closed

- Assignee changed from bruno katra to thomas chust

Se référer a #250 qui reprend les constatations liées au centrage des snapshots
